__gnu_pbds::join_error Struct Reference
Exceptions
Inheritance diagram for __gnu_pbds::join_error:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

A join cannot be performed logical reasons (i.e., the ranges of the two container objects being joined overlaps.

Definition at line 70 of file exception.hpp.

## Member Function Documentation

virtual const char* std::logic_error::what | ( |  | ) | const

virtualnoexceptinherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this struct was generated from the following file:

- exception.hpp